Commit 620da472 authored by Zoran Turalija's avatar Zoran Turalija Committed by Rémi Denis-Courmont
Browse files

avcodec: Compile again with FFmpeg libavcodec library.



Make fails when using FFmpeg libavcodec version newer than checked by
LIBAVCODEC_VERSION_CHECK, because of redeclaration of many enumerators,
that are unnecessary with newer version of libavcodec library.
It is due to missing parenthesis in macro definition that are making
it wrong.

Probably same with libav libavcodec library, too.
Signed-off-by: Rémi Denis-Courmont's avatarRémi Denis-Courmont <remi@remlab.net>
parent 3c0f18b2
......@@ -33,8 +33,8 @@
* b and c the minor and micro versions of libav
* d and e the minor and micro versions of FFmpeg */
#define LIBAVCODEC_VERSION_CHECK( a, b, c, d, e ) \
(LIBAVCODEC_VERSION_MICRO < 100 && LIBAVCODEC_VERSION_INT >= AV_VERSION_INT( a, b, c ) ) || \
(LIBAVCODEC_VERSION_MICRO >= 100 && LIBAVCODEC_VERSION_INT >= AV_VERSION_INT( a, d, e ) )
( (LIBAVCODEC_VERSION_MICRO < 100 && LIBAVCODEC_VERSION_INT >= AV_VERSION_INT( a, b, c ) ) || \
(LIBAVCODEC_VERSION_MICRO >= 100 && LIBAVCODEC_VERSION_INT >= AV_VERSION_INT( a, d, e ) ) )
#if LIBAVCODEC_VERSION_MAJOR < 54
# define AV_PICTURE_TYPE_B FF_B_TYPE
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment